Add dropdown options
curl --request POST \
--url https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-properties/{property_id}/options/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"is_default": true,
"is_active": true,
"parent": "<string>"
}
'import requests
url = "https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-properties/{property_id}/options/"
payload = {
"name": "<string>",
"description": "<string>",
"is_default": True,
"is_active": True,
"parent": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
is_default: true,
is_active: true,
parent: '<string>'
})
};
fetch('https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-properties/{property_id}/options/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Custom Property Dropdown Options
Add dropdown options
Allows you to define a list of options for the dropdown property type.
POST
/
api
/
v1
/
workspaces
/
{workspace_slug}
/
projects
/
{project_id}
/
work-item-properties
/
{property_id}
/
options
/
Add dropdown options
Path parameters
string
required
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug is my-team.string
required
The unique identifier of the project.
string
required
The unique identifier for the custom property.
Body parameters
string
required
Name of the option.
string
Description of the option.
boolean
Whether this is the default option for the property.
boolean
Whether this option is currently active.
string
⌘I

